package prova.med.activities;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import prova.med.boris.R;
import prova.med.db.DBAdapter;
public class MainActivity extends Activity {

	private DBAdapter datasource;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		datasource = new DBAdapter(getApplicationContext());
	    datasource.open();
	    
		setContentView(R.layout.activity_main);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	public void startNewPatient(View v)
	{
		Intent intent = new Intent(this, NuovoPaziente.class);
		startActivity(intent);
	}
	
	public void startVisualizzaPazienti(View v)
	{
		Intent intent = new Intent(this, VisualizzaPazienti.class);
		startActivity(intent);
	}
	
	public void startWifiDirectActivity(View v)
	{
		Intent intent = new Intent(this, WiFiDirectActivity.class);
		startActivity(intent);
	}
	  @Override
	  protected void onResume() {
	    datasource.open();
	    super.onResume();
	  }

	  @Override
	  protected void onPause() {
	    datasource.close();
	    super.onPause();
	  }
}
