package prova.med.obj;

import java.io.Serializable;

public class Paziente implements Serializable, Comparable<Paziente>{

	
	/**
	 * 
	 */
	private static final long serialVersionUID = -4049966343898351789L;
	
	private String nome;
	private String cognome;
	private String data_di_ingresso;
	private String numero_letto;
	private String reparto;
	private String piano;
	private String codice_diagnosi;
	private String codice_intervento;
	private String patologia;
	private String allergie;
	private String allergie_altro;
	private String codice_a_barre;
	private String creatinina;
	private String ast;
	private String alt;
	private String anni;
	private String nome_protocollo;
	

	public Paziente()
	{
	}
	
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getCognome() {
		return cognome;
	}
	public void setCognome(String cognome) {
		this.cognome = cognome;
	}
	public String getData_di_ingresso() {
		return data_di_ingresso;
	}
	public void setData_di_ingresso(String data_di_ingresso) {
		this.data_di_ingresso = data_di_ingresso;
	}
	public String getNumero_letto() {
		return numero_letto;
	}

	public void setNumero_letto(String numero_letto) {
		this.numero_letto = numero_letto;
	}
	public String getReparto() {
		return reparto;
	}
	public void setReparto(String reparto) {
		this.reparto = reparto;
	}
	public String getPiano() {
		return piano;
	}
	public void setPiano(String piano) {
		this.piano = piano;
	}
	public String getCodice_diagnosi() {
		return codice_diagnosi;
	}
	public void setCodice_diagnosi(String codice_diagnosi) {
		this.codice_diagnosi = codice_diagnosi;
	}
	public String getCodice_intervento() {
		return codice_intervento;
	}
	public void setCodice_intervento(String codice_intervento) {
		this.codice_intervento = codice_intervento;
	}
	public String getPatologia() {
		return patologia;
	}
	public void setPatologia(String patologia) {
		this.patologia = patologia;
	}
	public String getAllergie() {
		return allergie;
	}
	public void setAllergie(String allergie) {
		this.allergie = allergie;
	}
	public String getAllergie_altro() {
		return allergie_altro;
	}

	public void setAllergie_altro(String allergie_altro) {
		this.allergie_altro = allergie_altro;
	}
	public String getCodice_a_barre() {
		return codice_a_barre;
	}
	public void setCodice_a_barre(String codice_a_barre) {
		this.codice_a_barre = codice_a_barre;
	}
	public String getCreatinina() {
		return creatinina;
	}

	public void setCreatinina(String creatinina) {
		this.creatinina = creatinina;
	}
	public String getAst() {
		return ast;
	}
	public void setAst(String ast) {
		this.ast = ast;
	}
	public String getAlt() {
		return alt;
	}
	public void setAlt(String alt) {
		this.alt = alt;
	}
	public String getAnni() {
		return anni;
	}
	public void setAnni(String anni) {
		this.anni = anni;
	}

	@Override
	public int compareTo(Paziente another) {
		if (this.getNumero_letto() == null || another.getNumero_letto() == null)
		      return 0;
		    return this.getNumero_letto().compareTo(another.getNumero_letto());
	}

	public String getNome_protocollo() {
		return nome_protocollo;
	}

	public void setNome_protocollo(String nome_protocollo) {
		this.nome_protocollo = nome_protocollo;
	}
	
}
